GMT 6 and libtiff.5.dylib

Dear all,
I’m new to this forum and signed up because I can’t get GMT to work. I have installed GMT on macOS Big Sur with brew install gmt. When I call gmt —version or otherwise try to run GMT I get the following error message:
dyld: Library not loaded: /usr/local/opt/libtiff/lib/libtiff.5.dylib
Referenced from: /usr/local/opt/libgeotiff/lib/libgeotiff.5.dylib
Reason: image not found
Abort trap: 6
The message is correct, because I don’t have the libtiff.5.dylib but only the libtiff.6.dylib. I have not yet managed to downgrade the libtiff.6.dylib nor to convince GMT to use the libtiff.6.dylib. Does anyone have a similar experience and can give me some advise?
Kind regrads
Ri Ti

Could you type
brew doctor and later on
brew update.
If it identifies any issues, carefully read the output and follow the instructions provided to fix them. The output will guide you on what needs to be done to resolve the problems.